freeipmi ipmi-config --checkout lacks support for ipv6 lan parameters

Bug #1645912 reported by LaMont Jones on 2016-11-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Undecided
rahmadani
2.1
Undecided
rahmadani
freeipmi (Ubuntu)
Undecided
rahmadani
Xenial
Undecided
rahmadani
Yakkety
Undecided
rahmadani

Bug Description

See also https://github.com/chu11/freeipmi-mirror/issues/8 and https://github.com/chu11/freeipmi-mirror/issues/12 -- freeipmi needs to successfully discover the ipv6 address of a hosts BMC.

[Impact]

 * Machines with BMCs configured to use IPv6 addresses, ipmi-config
   (silently) fails to show those values.

 * MAAS 2.2 supports IPv6 BMC addresses, and depends on ipmi-config
   finding the IPv6 address of the BMC.

 * This upload is a backport of an upstream work-in-progress to add IPv6
   configuration parameters to ipmi-config. While the eventual upstream
   source may differ slightly as the branch lands, this delivers the
   information for use. ANYONE USING THIS CODE NEEDS TO BE PREPARED TO
   CHANGE TO MATCH THE ACTUAL DELIVERY WHEN 1.6 LANDS.

[Test Case]

 * Start with an HP DL360 Proliant Gen9 (iLO4 is required) with an IPv6
   address configured on the iLO. Try to get ipmi-config to give you
   that address.

 * This upload introduces the Lan6_Conf section (which may change when
   1.6 finally arrives.) The following displays the IPv6 Addresses of
   the BMC:
      ipmi-config --checkout --category=core --section=Lan6_Conf

[Regression Potential]

 * Scripting that uses --checkout and no section/key-pair specification
   will now see the additional Lan6_Conf section, which has the potential
   to confuse said script.

 * If upstream changes the presentation of the data, anyone who has
   adopted this pre-release of same may see differences. The section is
   clearly marked as subject to change in 1.6, and missing in 1.5. (If
   Ubuntu syncs 1.5, MAAS is committed to porting this change forward.
   Upstream has committed to the feature being present in 1.6.)

[Other Info]

Once the changes are available, MAAS will need to change to use the new Lan6_Conf section.

Related branches

LaMont Jones (lamont) on 2017-01-25
summary: - freeipmi ipmi-config (and discovery) lacks ipv6 support
+ freeipmi ipmi-config --checkout lacks support for ipv6 lan parameters
description: updated
LaMont Jones (lamont) on 2017-01-25
description: updated
LaMont Jones (lamont) on 2017-01-26
Changed in freeipmi (Ubuntu):
milestone: none → ubuntu-17.04
Changed in maas:
milestone: none → 2.2.0
description: updated
LaMont Jones (lamont) on 2017-01-26
Changed in freeipmi (Ubuntu Xenial):
milestone: none → xenial-updates
Changed in freeipmi (Ubuntu Yakkety):
milestone: none → yakkety-updates
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freeipmi - 1.4.11-1.1ubuntu3

---------------
freeipmi (1.4.11-1.1ubuntu3) zesty; urgency=medium

  * Add ipv6 ipmi-discovery. LP: #1645912. See also:
    https://github.com/chu11/freeipmi-mirror/pull/12/commits/32721f88cd37aa4ca1564c243669f96628089986

 -- LaMont Jones <email address hidden> Tue, 24 Jan 2017 16:22:05 -0700

Changed in freeipmi (Ubuntu):
status: New → Fix Released
LaMont Jones (lamont) wrote :

Package verified in zesty.

Hello LaMont, or anyone else affected,

Accepted freeipmi into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/freeipmi/1.4.11-1.1ubuntu3~0.16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in freeipmi (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello LaMont, or anyone else affected,

Accepted freeipmi into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/freeipmi/1.4.11-1.1ubuntu3~0.16.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in freeipmi (Ubuntu Yakkety):
status: New → Fix Committed
Changed in maas:
status: New → Fix Committed
LaMont Jones (lamont) wrote :

Confirmed freeipmi-tools on xenial and yakkety.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freeipmi - 1.4.11-1.1ubuntu3~0.16.04

---------------
freeipmi (1.4.11-1.1ubuntu3~0.16.04) xenial; urgency=medium

  * Backport to xenial.
    Add ipv6 ipmi-discovery. LP: #1645912. See also:
    https://github.com/chu11/freeipmi-mirror/pull/12/commits/32721f88cd37aa4ca1564c243669f96628089986

 -- LaMont Jones <email address hidden> Thu, 26 Jan 2017 09:43:29 -0700

Changed in freeipmi (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for freeipmi has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freeipmi - 1.4.11-1.1ubuntu3~0.16.10

---------------
freeipmi (1.4.11-1.1ubuntu3~0.16.10) yakkety; urgency=medium

  * Backport to yakkety.
    Add ipv6 ipmi-discovery. LP: #1645912. See also:
    https://github.com/chu11/freeipmi-mirror/pull/12/commits/32721f88cd37aa4ca1564c243669f96628089986

 -- LaMont Jones <email address hidden> Thu, 26 Jan 2017 09:43:29 -0700

Changed in freeipmi (Ubuntu Yakkety):
status: Fix Committed → Fix Released
rahmadani (rahmadani) on 2017-02-10
Changed in maas:
assignee: nobody → rahmadani (rahmadani)
Changed in freeipmi (Ubuntu):
assignee: nobody → rahmadani (rahmadani)
Changed in freeipmi (Ubuntu Yakkety):
assignee: nobody → rahmadani (rahmadani)
Changed in freeipmi (Ubuntu Xenial):
assignee: nobody → rahmadani (rahmadani)
LaMont Jones (lamont) on 2017-02-10
tags: added: maas-ipv6
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers